#
# spec file for package notes-up
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           notes-up
Version:        1.5.2
Release:        bp155.2.16
Summary:        Markdown notes editor & manager
License:        GPL-3.0
Group:          System/GUI/Other
Url:            https://github.com/Philip-Scott/Notes-up
Source:         https://github.com/Philip-Scott/Notes-up/archive/%{version}.tar.gz#/Notes-up-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/Philip-Scott/Notes-up/pull/237
Patch0:         desktop.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
# TODO: unbundle discount-markdown
#BuildRequires:  pkgconfig(libmarkdown)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vapigen) >= 0.26
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)
Recommends:     %{name}-lang
Requires:       contractor
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Notes Up is a notes manager written for Elementary OS. Notes in
Markdown format can be created.

%lang_package

%prep
%setup -q -n Notes-up-%{version}

%patch0 -p1

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/appdata
mv %{buildroot}%{_datadir}/{metainfo,appdata}/com.github.philip-scott.%{name}.appdata.xml

%find_lang %{name}

%post
%icon_theme_cache_post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc LICENSE changelog.md
%{_bindir}/com.github.philip-scott.notes-up
%{_datadir}/%{name}/
%{_datadir}/applications/com.github.philip-scott.notes-up.desktop
%{_datadir}/appdata/com.github.philip-scott.notes-up.appdata.xml
%{_datadir}/glib-2.0/schemas/org.notes.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*%{name}.??g
%dir %{_datadir}/appdata

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Thu Dec 28 2017 mailaender@opensuse.org
- Update to version 1.5.2
  * Pages are better summarized when they have markdown symbols
  * When applying styles to the text, it will automatically wrap around it properly
  * You can now move Notebooks
  * Fixed some errors from exporting, and some other bugs
  * Notes-Up is now translated to Lithuanian, French, Portuguese and Czech
  * Change executable to use RRDN!
  * Remove about dialog action
- replace %%suse_update_desktop_files macro with desktop.patch
* Tue Dec 26 2017 jengelh@inai.de
- Ensure neutrality of description.
* Mon Aug 21 2017 avvissu@yandex.by
- Update to 1.4.7:
  * Update control
  * Update com.github.philip-scott.notes-up.appdata.xml
  * Order files
  * Use title like in elementary HIG (#165)
* Mon Aug 14 2017 avvissu@yandex.by
- Update to 1.4.5:
  * Merge branch 'master' of github.com:Philip-Scott/Notes-up
  * Add spellcheck
  * Update README.md
  * Fix: Preview showed markdown elements instead of styling
  * Merge pull request #156 from psylock/master
  * Merge pull request #155 from onirica/master
  * Update de.po
  * Removing items from cmake (#136)
- Remove cmake.patch (fixed in upstream)
* Sun Jul 23 2017 mailaender@opensuse.org
- Update to 1.4.4
- Add cmake.patch to fix build with cmake > 3.8
- Require contractor as it is a hard dependency by default
* Sat May 20 2017 avvissu@yandex.by
- Update to 1.4.2
* Wed May 17 2017 avvissu@yandex.by
- Update to 1.4.0:
  * Merge pull request #125 from demonpig/fix-transient_window
  * Merge pull request #124 from demonpig/fix bookmark button
    huge when selected
  * Fix warning message about transient window
  * Fixes bookmark button from increasing to 48px
  * Merge pull request #121 from cassidyjames/patch-1
  * Fix #120
* Mon May  1 2017 avvissu@yandex.by
- Update to 1.3.9:
  * see: /usr/share/package/notes-up/changelog.md
  _ Spec file cleanup
* Tue Oct 25 2016 avvissu@yandex.by
- Initial package
